Package org.apache.sling.testing.clients.util.config

# Class InstanceConfigException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.sling.testing.clients.util.config.InstanceConfigException

All Implemented Interfaces:
  `Serializable`

public class InstanceConfigException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InstanceConfigException()`
`InstanceConfigException(Exception e)`
`InstanceConfigException(String message)`
`InstanceConfigException(String message, Throwable cause)`
`InstanceConfigException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InstanceConfigException

public InstanceConfigException(Exception e)

### InstanceConfigException

public InstanceConfigException()

### InstanceConfigException

public InstanceConfigException(String message)

### InstanceConfigException

public InstanceConfigException(String message, Throwable cause)

### InstanceConfigException

public InstanceConfigException(Throwable cause)